from django.conf.urls.defaults import patterns, url
from hashcut.views import MashupHome, MashupEdit, MashupHashcut, MashupContent

urlpatterns = patterns('',
    url(r'^(?P<branding>.*)/edit/$', MashupEdit.as_view(), name="mashup_edit"),
    url(r'^(?P<branding>.*)/save/$', 'hashcut.views.save_mashup', name="mashup_save"),
    url(r'^(?P<branding>.*)/hashcut/(?P<ldt_id>.*)/$', MashupHashcut.as_view(), name="mashup_hashcut"),
    url(r'^(?P<branding>.*)/media/(?P<ctt_id>.*)/$', MashupContent.as_view(), name="mashup_content"),
    url(r'^(?P<branding>.*)/$', MashupHome.as_view(), name="mashup_home"),
    url(r'^$', MashupHome.as_view()),
)
